Page MenuHomePhabricator

Clicking on file page tab focuses first element in the tab content area
Closed, ResolvedPublicBug

Description

User story: N/A

We have this: Tabs are working on the file page on Alpha/Labs, but once a tab has been selected, it focuses on the first element in the tab content area

We want this: Nothing in the tab content area to be automatically focused

Screenshots:


Acceptance Criteria:

  • Nothing in the tab content area should be focused upon tab selection

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 14 2019, 3:30 PM
Ramsey-WMF triaged this task as Normal priority.Mar 14 2019, 5:56 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.
Ha78na claimed this task.Mar 15 2019, 8:05 PM
Ha78na moved this task from To Do to Doing on the Structured-Data-Team-Current-Work board.

Change 497323 had a related patch set uploaded (by Ha78na; owner: Ha78na):
[mediawiki/extensions/WikibaseMediaInfo@master] Remove autoFocus in tab content area

https://gerrit.wikimedia.org/r/497323

Change 497323 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Remove autoFocus in tab content area

https://gerrit.wikimedia.org/r/497323

Cparle added a subscriber: Cparle.Apr 18 2019, 1:35 PM

ok on test-commons

Ramsey-WMF closed this task as Resolved.Apr 24 2019, 12:52 AM

Verified on production.